edu.northwestern.at.morphadorner.corpuslinguistics.inflector

## Class NoopInflector

- java.lang.Object
- - edu.northwestern.at.morphadorner.corpuslinguistics.inflector.NoopInflector

- All Implemented Interfaces:
    Conjugator, Inflector, Pluralizer

      public class NoopInflector
      extends java.lang.Object
      implements Inflector

  Noop inflector which returns a lemma uninflected.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Conjugator` | `noopConjugator` Noop conjugator.
    `protected Pluralizer` | `noopPluralizer` Noop pluralizer.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NoopInflector()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `conjugate(java.lang.String infinitive, VerbTense tense, Person person)` Conjugate a verb from its infinitive, tense, and person.
    `java.lang.String` | `pluralize(java.lang.String nounOrPronoun)` Pluralize a noun or pronoun.
    `java.lang.String` | `pluralize(java.lang.String nounOrPronoun, int number)` Pluralize a noun or pronoun.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### noopConjugator

          protected Conjugator noopConjugator

      Noop conjugator.

    - #### noopPluralizer

          protected Pluralizer noopPluralizer

      Noop pluralizer.

  - ### Constructor Detail

    - #### NoopInflector

          public NoopInflector()

  - ### Method Detail

    - #### conjugate

          public java.lang.String conjugate(java.lang.String infinitive,
                                   VerbTense tense,
                                   Person person)

      Conjugate a verb from its infinitive, tense, and person.
      Specified by:
        `conjugate` in interface `Conjugator`
      Parameters:
        `infinitive` - The infinitive of the verb to inflect.
        `tense` - The verb tense to generate.
        `person` - The person (1st, 2nd, 3rd) to generate.
      Returns:
        The infinitive unchanged.

    - #### pluralize

          public java.lang.String pluralize(java.lang.String nounOrPronoun)

      Pluralize a noun or pronoun.
      Specified by:
        `pluralize` in interface `Pluralizer`
      Parameters:
        `nounOrPronoun` - The singular form of the noun or pronoun.
      Returns:
        The noun or pronoun unchanged.

    - #### pluralize

          public java.lang.String pluralize(java.lang.String nounOrPronoun,
                                   int number)

      Pluralize a noun or pronoun.
      Specified by:
        `pluralize` in interface `Pluralizer`
      Parameters:
        `nounOrPronoun` - The singular form of the noun or pronoun.
        `number` - The number for the noun or pronoun.
      Returns:
        The form of the noun or pronoun for the specified number.